Bug 449122 - Espeak Does Not Speak
Espeak Does Not Speak
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: espeak (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Francois Aucamp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 12:00 EDT by Chris Spencer
Modified: 2008-12-02 06:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 06:08:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Spencer 2008-05-30 12:00:44 EDT
Description of problem:
Espeak throws an error for all usage.

[localhost ~]$ echo "hello world" | espeak --stdin
JACK tmpdir identified as [/dev/shm]
Expression 'parameters->channelCount <= maxChans' failed in
'src/hostapi/alsa/pa_linux_alsa.c', line: 924
Expression 'ValidateParameters( outputParameters, hostApi, StreamDirection_Out
)' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1142
wave_open_sound > Pa_OpenStream : err=-9996 (Invalid device)
wave_open_sound > Pa_OpenStream : err=-9996 (Invalid device)
wave_open_sound > Pa_OpenStream : err=-9996 (Invalid device)
wave_open_sound > Pa_OpenStream : err=-9996 (Invalid device)
wave_open_sound > Pa_OpenStream : err=-9996 (Invalid device)

How reproducible:
Everytime.

Version:
eSpeak text-to-speech: 1.31  19.Jan.08
Comment 1 Caius Chance 2008-06-26 03:28:38 EDT
It works in my Fedora 9:

$ rpm -qa |grep espeak
espeak-devel-1.31-5.fc9.i386
espeak-1.31-5.fc9.i386
Comment 2 Chris Spencer 2008-06-26 07:14:53 EDT
Ah, sorry, I mis-reported the Fedora version. I'm actually on Fedora 8, although
the version of espeak seems to be identical.

$ rpm -qa |grep espeak
espeak-1.31-5.fc8
espeak-devel-1.31-5.fc8
gnome-speech-espeak-0.4.16-2.fc8
Comment 3 Jason Fenner 2008-08-19 09:31:05 EDT
echo "hi there" | espeak --stdin

The above command works just fine on my Fedora 9 workstation.
I tested using the following espeak packages:
espeak-1.31-5.fc9.i386

I cannot reproduce this problem.
Can this ticket be closed?
Comment 4 Francois Aucamp 2008-12-02 06:08:41 EST
Works for me as well, fedora 8, 9, and 10, with varying versions of espeak Closing this bug for now (also because F8 is approaching EOL); if this is still an issue, please refer to bug #467763. Thanks.

Note You need to log in before you can comment on or make changes to this bug.